# -*- coding: utf-8 -*-

"""
Module implementing dialog.
"""

from PyQt4.QtGui import QDialog
from PyQt4.QtCore import pyqtSignature

from Ui_param import Ui_Dialog

import time
import datetime
import sys, os

class dialog(QDialog, Ui_Dialog):
    """
    Class documentation goes here.
    """
    def __init__(self, parent = None):
        """
        Constructor
        """
        QDialog.__init__(self, parent)
        self.setupUi(self)
        
        hoy=datetime.datetime.today()
        
        self.le01.setText(hoy.strftime("%Y"))
        self.le02.setText(hoy.strftime("%m"))
        self.le03.setText(hoy.strftime("%d"))
        self.le04.setText(hoy.strftime("%H"))
        self.le05.setText(hoy.strftime("%M"))
        self.le06.setText("00")
        self.le07.setText("200")
    
    @pyqtSignature("")
    def on_pb_creararchivo_clicked(self):
        
        ai=int(self.le01.text())
        mi=int(self.le02.text())
        di=int(self.le03.text())
        hi=int(self.le04.text())
        ni=int(self.le05.text())
        si=int(self.le06.text())
        
        #Con los int, esta funcion calcula el dato en epocas
        t = time.mktime((ai, mi, di, hi, ni, si, 0, 0, 0))
        #Para calcular el tiempo mas 3 minutos
        u=t+180
        u1=t+60
        u2=t+120
        u3=t+240




        #De las epocas se toman los datos en UTC
        dia_j=time.gmtime(t)[7]
        a_gmt=time.gmtime(t)[0]
        m_gmt=time.gmtime(t)[1]
        d_gmt=time.gmtime(t)[2]
        h_gmt=time.gmtime(t)[3]
        n_gmt=time.gmtime(t)[4]
        s_gmt=time.gmtime(t)[5]
        
        udia_j=time.gmtime(u)[7]
        ua_gmt=time.gmtime(u)[0]
        um_gmt=time.gmtime(u)[1]
        ud_gmt=time.gmtime(u)[2]
        uh_gmt=time.gmtime(u)[3]
        un_gmt=time.gmtime(u)[4]
        us_gmt=time.gmtime(u)[5]
      
        
        udia_j1=time.gmtime(u1)[7]
        ua_gmt1=time.gmtime(u1)[0]
        um_gmt1=time.gmtime(u1)[1]
        ud_gmt1=time.gmtime(u1)[2]
        uh_gmt1=time.gmtime(u1)[3]
        un_gmt1=time.gmtime(u1)[4]
        us_gmt1=time.gmtime(u1)[5]        
        
        
        
        udia_j2=time.gmtime(u2)[7]
        ua_gmt2=time.gmtime(u2)[0]
        um_gmt2=time.gmtime(u2)[1]
        ud_gmt2=time.gmtime(u2)[2]
        uh_gmt2=time.gmtime(u2)[3]
        un_gmt2=time.gmtime(u2)[4]
        us_gmt2=time.gmtime(u2)[5]        
        
                
        udia_j3=time.gmtime(u3)[7]
        ua_gmt3=time.gmtime(u3)[0]
        um_gmt3=time.gmtime(u3)[1]
        ud_gmt3=time.gmtime(u3)[2]
        uh_gmt3=time.gmtime(u3)[3]
        un_gmt3=time.gmtime(u3)[4]
        us_gmt3=time.gmtime(u3)[5]        
        
                        
        
        
        
        
        
        
        #Los enteros toman formato de fecha-hora
        r=datetime.datetime(a_gmt,m_gmt,d_gmt,h_gmt,n_gmt,s_gmt)
        ur=datetime.datetime(ua_gmt,um_gmt,ud_gmt,uh_gmt,un_gmt,us_gmt)
        
        ur1=datetime.datetime(ua_gmt1,um_gmt1,ud_gmt1,uh_gmt1,un_gmt1,us_gmt1)
        ur2=datetime.datetime(ua_gmt2,um_gmt2,ud_gmt2,uh_gmt2,un_gmt2,us_gmt2)
        ur3=datetime.datetime(ua_gmt3,um_gmt3,ud_gmt3,uh_gmt3,un_gmt3,us_gmt3)
        
        
        f=open("parametros01.dat","w")
        f.write(r.strftime("%Y%j%H%M%S") + '\n')
        f.write(ur1.strftime("%Y%j%H%M%S") + '\n')
        f.write(ur2.strftime("%Y%j%H%M%S") + '\n')
        f.write(ur.strftime("%Y%j%H%M%S") + '\n')
        f.write(ur3.strftime("%Y%j%H%M%S") + '\n')
        f.write(r.strftime("%d-%m-%Y") + '\n')
        f.write(r.strftime("%H:%M:%S") + '\n')
        f.close()
        
       
        os.system("borrar_parametros.sh")
        os.system("cat parametros01.dat > parametros3.dat")
        os.system("cat lista.est >> parametros3.dat")
       
       
       
       
    @pyqtSignature("int")
    def on_acb01_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_acb05_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb06_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb03_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb04_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb07_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb08_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb10_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb11_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb12_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb13_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb14_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_acb15_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb16_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_acb17_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb18_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_acb19_stateChanged(self, p0):
        self.estacion()        

    @pyqtSignature("int")
    def on_acb20_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb21_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb22_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb23_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb24_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb25_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_acb26_stateChanged(self, p0):
        self.estacion()





    @pyqtSignature("int")
    def on_acb09_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_acb02_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_ccb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_hcb01_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_scb22_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_scb23_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_scb24_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_ccb13_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_ccb14_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_gcb14_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_hcb05_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_hcb06_stateChanged(self, p0):
        self.estacion()


    
    @pyqtSignature("int")
    def on_lcb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_hcb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_lcb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_hcb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_lcb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_hcb04_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_scb22_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_scb23_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_scb24_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_ccb13_stateChanged(self, p0):
        self.estacion()
        
    @pyqtSignature("int")
    def on_ccb14_stateChanged(self, p0):
        self.estacion() 
        
    @pyqtSignature("int")
    def on_gcb14_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_hcb05_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_hcb06_stateChanged(self, p0):
        self.estacion()









    @pyqtSignature("int")
    def on_lcb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb05_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb05_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_lcb05_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb05_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb05_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb07_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb06_stateChanged(self, p0):
        self.estacion()

 
    @pyqtSignature("int")
    def on_gcb09_stateChanged(self, p0):
        self.estacion()
   
    @pyqtSignature("int")
    def on_gcb10_stateChanged(self, p0):
        self.estacion()    
        
    @pyqtSignature("int")
    def on_gcb11_stateChanged(self, p0):
        self.estacion()            
        
    @pyqtSignature("int")
    def on_gcb12_stateChanged(self, p0):
        self.estacion()            
        
    @pyqtSignature("int")
    def on_gcb13_stateChanged(self, p0):
        self.estacion()            
        




    @pyqtSignature("int")
    def on_lcb06_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_lcb07_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_lcb08_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_lcb09_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_lcb10_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_lcb11_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_pcb06_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb06_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb08_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb07_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb07_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb07_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb09_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_gcb08_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb08_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb08_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb10_stateChanged(self, p0):
        self.estacion()


    @pyqtSignature("int")
    def on_ccb11_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    
    def on_ccb12_stateChanged(self, p0):
        self.estacion()
    
    @pyqtSignature("int")
    def on_pcb09_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb09_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_ccb06_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb10_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb10_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb11_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb11_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb12_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb12_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb13_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_scb13_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_pcb14_stateChanged(self, p0):
        self.estacion()

    @pyqtSignature("int")
    def on_pcb15_stateChanged(self, p0):
        self.estacion()
    @pyqtSignature("int")
    def on_pcb16_stateChanged(self, p0):
        self.estacion()        

    @pyqtSignature("int")
    def on_pcb17_stateChanged(self, p0):
        self.estacion()        

    @pyqtSignature("int")
    def on_pcb18_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb19_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb20_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb21_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb22_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb23_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb24_stateChanged(self, p0):
        self.estacion()      
    @pyqtSignature("int")
    def on_pcb25_stateChanged(self, p0):
        self.estacion()              
    @pyqtSignature("int")
    def on_scb14_stateChanged(self, p0):
        self.estacion()
            
    @pyqtSignature("int")
    def on_scb15_stateChanged(self, p0):
        self.estacion()            

    @pyqtSignature("int")
    def on_scb16_stateChanged(self, p0):
        self.estacion()            

    @pyqtSignature("int")
    def on_scb17_stateChanged(self, p0):
        self.estacion()            

    @pyqtSignature("int")
    def on_scb18_stateChanged(self, p0):
        self.estacion()            

    @pyqtSignature("int")
    def on_scb19_stateChanged(self, p0):
        self.estacion()            

    @pyqtSignature("int")
    def on_scb20_stateChanged(self, p0):
        self.estacion()    
      
    @pyqtSignature("int")
    def on_scb21_stateChanged(self, p0):
        self.estacion()        
  


    @pyqtSignature("int")
    def on_ov_hriu_stateChanged(self, p0):
        self.estacion()        
    @pyqtSignature("int")
    def on_ov_rifo_stateChanged(self, p0):
        self.estacion()        
    @pyqtSignature("int")
    def on_ov_hzte_stateChanged(self, p0):
        self.estacion()        
    @pyqtSignature("int")
    def on_ov_cove_stateChanged(self, p0):
        self.estacion()        
    @pyqtSignature("int")
    def on_ov_ctcr_stateChanged(self, p0):
        self.estacion()        
  














    def estacion(self):

        g=open('lista.est','w')

        if self.acb01.isChecked() is True:
            g.write(self.acb01.text()+'\n')
        if self.acb02.isChecked() is True:
            g.write(self.acb02.text()+'\n')
        if self.acb03.isChecked() is True:
            g.write(self.acb03.text()+'\n')
        if self.acb04.isChecked() is True:
            g.write(self.acb04.text()+'\n')
        if self.acb05.isChecked() is True:
            g.write(self.acb05.text()+'\n')
        if self.acb06.isChecked() is True:
            g.write(self.acb06.text()+'\n')    
        if self.acb07.isChecked() is True:
            g.write(self.acb07.text()+'\n')        
        if self.acb08.isChecked() is True:
            g.write(self.acb08.text()+'\n')    
        if self.acb09.isChecked() is True:
            g.write(self.acb09.text()+'\n')    
        if self.acb10.isChecked() is True:
            g.write(self.acb10.text()+'\n')    
        if self.acb11.isChecked() is True:
            g.write(self.acb11.text()+'\n')    
        if self.acb12.isChecked() is True:
            g.write(self.acb12.text()+'\n')                
        if self.acb13.isChecked() is True:
            g.write(self.acb13.text()+'\n')  
        if self.acb14.isChecked() is True:
            g.write(self.acb14.text()+'\n')  
        if self.acb15.isChecked() is True:
            g.write(self.acb15.text()+'\n')   
        if self.acb16.isChecked() is True:
            g.write(self.acb16.text()+'\n')    
        if self.acb17.isChecked() is True:
            g.write(self.acb17.text()+'\n')                
        if self.acb18.isChecked() is True:
            g.write(self.acb18.text()+'\n')    
        if self.acb19.isChecked() is True:
            g.write(self.acb19.text()+'\n')    
        if self.acb20.isChecked() is True:
            g.write(self.acb20.text()+'\n')    
        if self.acb21.isChecked() is True:
            g.write(self.acb21.text()+'\n')    
        if self.acb22.isChecked() is True:
            g.write(self.acb22.text()+'\n')    
        if self.acb23.isChecked() is True:
            g.write(self.acb23.text()+'\n')    
        if self.acb24.isChecked() is True:
            g.write(self.acb24.text()+'\n')    
        if self.acb25.isChecked() is True:
            g.write(self.acb25.text()+'\n')   
        if self.acb26.isChecked() is True:
            g.write(self.acb26.text()+'\n')   

        if self.ccb01.isChecked() is True:
            g.write(self.ccb01.text()+'\n')
        if self.ccb02.isChecked() is True:
            g.write(self.ccb02.text()+'\n')
        if self.ccb03.isChecked() is True:
            g.write(self.ccb03.text()+'\n')
        if self.ccb04.isChecked() is True:
            g.write(self.ccb04.text()+'\n')
        if self.ccb05.isChecked() is True:
            g.write(self.ccb05.text()+'\n')
        if self.ccb06.isChecked() is True:
            g.write(self.ccb06.text()+'\n')    
        if self.ccb07.isChecked() is True:
            g.write(self.ccb07.text()+'\n')        
        if self.ccb08.isChecked() is True:
            g.write(self.ccb08.text()+'\n')    
        if self.ccb09.isChecked() is True:
            g.write(self.ccb09.text()+'\n')    
        if self.ccb10.isChecked() is True:
            g.write(self.ccb10.text()+'\n')  
        if self.ccb11.isChecked() is True:
            g.write(self.ccb11.text()+'\n') 
        if self.ccb12.isChecked() is True:
            g.write(self.ccb12.text()+'\n') 
        if self.ccb13.isChecked() is True:
            g.write(self.ccb13.text()+'\n') 
        if self.ccb14.isChecked() is True:
            g.write(self.ccb14.text()+'\n') 


        if self.pcb01.isChecked() is True:
            g.write(self.pcb01.text()+'\n')
        if self.pcb02.isChecked() is True:
            g.write(self.pcb02.text()+'\n')
        if self.pcb03.isChecked() is True:
            g.write(self.pcb03.text()+'\n')
        if self.pcb04.isChecked() is True:
            g.write(self.pcb04.text()+'\n')
        if self.pcb05.isChecked() is True:
            g.write(self.pcb05.text()+'\n')
        if self.pcb06.isChecked() is True:
            g.write(self.pcb06.text()+'\n')    
        if self.pcb07.isChecked() is True:
            g.write(self.pcb07.text()+'\n')        
        if self.pcb08.isChecked() is True:
            g.write(self.pcb08.text()+'\n')    
        if self.pcb09.isChecked() is True:
            g.write(self.pcb09.text()+'\n')    
        if self.pcb10.isChecked() is True:
            g.write(self.pcb10.text()+'\n')    
        if self.pcb11.isChecked() is True:
            g.write(self.pcb11.text()+'\n')    
        if self.pcb12.isChecked() is True:
            g.write(self.pcb12.text()+'\n')    
        if self.pcb13.isChecked() is True:
            g.write(self.pcb13.text()+'\n')    
        if self.pcb14.isChecked() is True:
            g.write(self.pcb14.text()+'\n')   
        if self.pcb15.isChecked() is True:
            g.write(self.pcb15.text()+'\n')               
        if self.pcb16.isChecked() is True:
            g.write(self.pcb16.text()+'\n')   
        if self.pcb17.isChecked() is True:
            g.write(self.pcb17.text()+'\n')   
        if self.pcb18.isChecked() is True:
            g.write(self.pcb18.text()+'\n')   
        if self.pcb19.isChecked() is True:
            g.write(self.pcb19.text()+'\n')   
        if self.pcb20.isChecked() is True:
            g.write(self.pcb20.text()+'\n')   
        if self.pcb21.isChecked() is True:
            g.write(self.pcb21.text()+'\n')   
        if self.pcb22.isChecked() is True:
            g.write(self.pcb22.text()+'\n')   
        if self.pcb23.isChecked() is True:
            g.write(self.pcb23.text()+'\n')   

        if self.pcb24.isChecked() is True:
            g.write(self.pcb24.text()+'\n')   
        if self.pcb25.isChecked() is True:
            g.write(self.pcb25.text()+'\n')   


        if self.scb01.isChecked() is True:
            g.write(self.scb01.text()+'\n')
        if self.scb02.isChecked() is True:
            g.write(self.scb02.text()+'\n')
        if self.scb03.isChecked() is True:
            g.write(self.scb03.text()+'\n')
        if self.scb04.isChecked() is True:
            g.write(self.scb04.text()+'\n')
        if self.scb05.isChecked() is True:
            g.write(self.scb05.text()+'\n')
        if self.scb06.isChecked() is True:
            g.write(self.scb06.text()+'\n')    
        if self.scb07.isChecked() is True:
            g.write(self.scb07.text()+'\n')        
        if self.scb08.isChecked() is True:
            g.write(self.scb08.text()+'\n')    
        if self.scb09.isChecked() is True:
            g.write(self.scb09.text()+'\n')    
        if self.scb10.isChecked() is True:
            g.write(self.scb10.text()+'\n')    
        if self.scb11.isChecked() is True:
            g.write(self.scb11.text()+'\n')    
        if self.scb12.isChecked() is True:
            g.write(self.scb12.text()+'\n')    
        if self.scb13.isChecked() is True:
            g.write(self.scb13.text()+'\n')    
        if self.scb14.isChecked() is True:
            g.write(self.scb14.text()+'\n')   
        if self.scb15.isChecked() is True:
            g.write(self.scb15.text()+'\n')               
        if self.scb16.isChecked() is True:
            g.write(self.scb16.text()+'\n')               
        if self.scb17.isChecked() is True:
            g.write(self.scb17.text()+'\n')               
        if self.scb18.isChecked() is True:
            g.write(self.scb18.text()+'\n')               
        if self.scb19.isChecked() is True:
            g.write(self.scb19.text()+'\n')               
        if self.scb20.isChecked() is True:
            g.write(self.scb20.text()+'\n')      
        if self.scb21.isChecked() is True:
            g.write(self.scb21.text()+'\n')   
            
        if self.scb22.isChecked() is True:
            g.write(self.scb22.text()+'\n')   
        if self.scb23.isChecked() is True:
            g.write(self.scb23.text()+'\n')   
        if self.scb24.isChecked() is True:
            g.write(self.scb24.text()+'\n')   



        if self.gcb01.isChecked() is True:
            g.write(self.gcb01.text()+'\n')
        if self.gcb02.isChecked() is True:
            g.write(self.gcb02.text()+'\n')
        if self.gcb03.isChecked() is True:
            g.write(self.gcb03.text()+'\n')
        if self.gcb04.isChecked() is True:
            g.write(self.gcb04.text()+'\n')
        if self.gcb05.isChecked() is True:
            g.write(self.gcb05.text()+'\n')
        if self.gcb06.isChecked() is True:
            g.write(self.gcb06.text()+'\n')    
        if self.gcb07.isChecked() is True:
            g.write(self.gcb07.text()+'\n')
        if self.gcb08.isChecked() is True:
            g.write(self.gcb08.text()+'\n') 
        if self.gcb09.isChecked() is True:
            g.write(self.gcb09.text()+'\n')
        if self.gcb10.isChecked() is True:
            g.write(self.gcb10.text()+'\n')     
        if self.gcb11.isChecked() is True:
            g.write(self.gcb11.text()+'\n')              
        if self.gcb12.isChecked() is True:
            g.write(self.gcb12.text()+'\n')      
        if self.gcb13.isChecked() is True:
            g.write(self.gcb13.text()+'\n')         

        if self.gcb14.isChecked() is True:
            g.write(self.gcb14.text()+'\n')   


        if self.hcb01.isChecked() is True:
            g.write(self.hcb01.text()+'\n')
        if self.hcb02.isChecked() is True:
            g.write(self.hcb02.text()+'\n')
        if self.hcb03.isChecked() is True:
            g.write(self.hcb03.text()+'\n')
        if self.hcb04.isChecked() is True:
            g.write(self.hcb04.text()+'\n')
            
        if self.hcb05.isChecked() is True:
            g.write(self.hcb05.text()+'\n')            
        if self.hcb06.isChecked() is True:
            g.write(self.hcb06.text()+'\n')            
                        
            
            
        if self.lcb01.isChecked() is True:
            g.write(self.lcb01.text()+'\n')
        if self.lcb02.isChecked() is True:
            g.write(self.lcb02.text()+'\n')
        if self.lcb03.isChecked() is True:
            g.write(self.lcb03.text()+'\n')
        if self.lcb04.isChecked() is True:
            g.write(self.lcb04.text()+'\n')
        if self.lcb05.isChecked() is True:
            g.write(self.lcb05.text()+'\n')
        if self.lcb06.isChecked() is True:
            g.write(self.lcb06.text()+'\n')               
        if self.lcb07.isChecked() is True:
            g.write(self.lcb07.text()+'\n')           
        if self.lcb08.isChecked() is True:
            g.write(self.lcb08.text()+'\n')    
        if self.lcb09.isChecked() is True:
            g.write(self.lcb09.text()+'\n')    
        if self.lcb10.isChecked() is True:
            g.write(self.lcb10.text()+'\n')  
        if self.lcb11.isChecked() is True:
            g.write(self.lcb11.text()+'\n')  


        if self.rcb01.isChecked() is True:
            g.write(self.rcb01.text()+'\n')         
        if self.rcb02.isChecked() is True:
            g.write(self.rcb02.text()+'\n')                 
        if self.rcb03.isChecked() is True:
            g.write(self.rcb03.text()+'\n')      
        if self.rcb04.isChecked() is True:
            g.write(self.rcb04.text()+'\n')      
        if self.rcb05.isChecked() is True:
            g.write(self.rcb05.text()+'\n')      




        if self.ov_hriu.isChecked() is True:
            g.write(self.ov_hriu.text()+'\n')      
        if self.ov_rifo.isChecked() is True:
            g.write(self.ov_rifo.text()+'\n')     
        if self.ov_hzte.isChecked() is True:
            g.write(self.ov_hzte.text()+'\n')     
        if self.ov_cove.isChecked() is True:
            g.write(self.ov_cove.text()+'\n')     
        if self.ov_ctcr.isChecked() is True:
            g.write(self.ov_ctcr.text()+'\n')     





        g.close() 
    
    def mensaje1(self):
        self.label02.setText("Archivo no existe")
        print "Archivo no existe"
    
    def mensaje2(self):
        self.label02.setText("Parametros enviados satisfactoriamente")
        print "OK"
    
    def mensaje3(self):
        self.label02.setText("Ejecutando programa en el servidor")
        print "OK"
    
        
    @pyqtSignature("")
    def on_pb_ejecutar_clicked(self):
        try:
            fsock=open("parametros3.dat")
            os.system("scp parametros3.dat lis@163.178.101.86:/home/lis/reportes4")
            self.mensaje2()
        except  IOError:
            self.mensaje1()
    
    @pyqtSignature("")
    def on_pushButton_clicked(self):
        """
        Slot documentation goes here.
        """
#        os.system("xterm -e ssh -t lis@163.178.101.86 'cd /home/lis/reportes4; tcsh' &")
        os.system("ssh lis@163.178.101.86 'cd /home/lis/reportes4;procesar4.sh'")
        self.mensaje3()

        # TODO: not implemented yet
    
    @pyqtSignature("")
    def on_pb_cerrar_clicked(self):
        """
        Slot documentation goes here.
        """
        os.system("rm parametros.dat")
        # TODO: not implemented yet
    
    @pyqtSignature("")
    def on_t_alajuela_clicked(self):
        """
        Selecciona todas las estaciones en Alajuela.
        """
        self.acb01.setCheckState(2)
        self.acb02.setCheckState(2)
        self.acb03.setCheckState(2)
        self.acb04.setCheckState(2)
        self.acb05.setCheckState(2)
        self.acb06.setCheckState(2)
        self.acb07.setCheckState(2)
        self.acb08.setCheckState(2)     
        self.acb09.setCheckState(2)
        self.acb10.setCheckState(2)
        self.acb11.setCheckState(2)
        self.acb12.setCheckState(2)        
        self.acb13.setCheckState(2)        
        self.rcb03.setCheckState(2)        
        self.acb14.setCheckState(2)        
        self.acb15.setCheckState(2)        
        self.acb16.setCheckState(2)        
        self.acb17.setCheckState(2)        
        self.acb18.setCheckState(2)        
        self.acb19.setCheckState(2)        
        self.acb20.setCheckState(2)        
        self.acb21.setCheckState(2)        
        self.acb22.setCheckState(2)        
        self.acb23.setCheckState(2)        
        self.acb24.setCheckState(2)        
        self.ov_cove.setCheckState(2)        
        self.acb25.setCheckState(2)        
        self.acb26.setCheckState(2)        




    @pyqtSignature("")
    def on_t_cartago_clicked(self):
        """
        Slot documentation goes here.
        """
        self.ccb01.setCheckState(2)
        self.ccb02.setCheckState(2)
        self.ccb03.setCheckState(2)
        self.ccb04.setCheckState(2)
        self.ccb05.setCheckState(2)
        self.ccb06.setCheckState(2)
        self.ccb07.setCheckState(2)
        self.ccb08.setCheckState(2)     
        self.ccb09.setCheckState(2)
        self.ccb10.setCheckState(2)          
        self.ccb11.setCheckState(2)  
        self.ccb12.setCheckState(2)  
        self.ccb13.setCheckState(2)  
        self.ccb14.setCheckState(2)  



        self.rcb01.setCheckState(2)          
        self.rcb05.setCheckState(2)          
    
    @pyqtSignature("")
    def on_t_guanacaste_clicked(self):
        """
        Slot documentation goes here.
        """
        self.gcb01.setCheckState(2)
        self.gcb02.setCheckState(2)
        self.gcb03.setCheckState(2)
        self.gcb04.setCheckState(2)
        self.gcb05.setCheckState(2)
        self.gcb06.setCheckState(2)
        self.gcb07.setCheckState(2)
        self.gcb08.setCheckState(2)                
        self.gcb09.setCheckState(2)                
        self.gcb10.setCheckState(2)                
        self.gcb11.setCheckState(2)                
        self.gcb12.setCheckState(2)                
        self.gcb13.setCheckState(2)                
        self.gcb14.setCheckState(2)                
        self.ov_hzte.setCheckState(2)                
        self.ov_hriu.setCheckState(2)                


# TODO: not implemented yet
    
    @pyqtSignature("")
    def on_t_heredia_clicked(self):
        """
        Slot documentation goes here.
        """
        self.hcb01.setCheckState(2)
        self.hcb02.setCheckState(2)
        self.hcb03.setCheckState(2)
        self.hcb04.setCheckState(2)
        self.hcb05.setCheckState(2)
        self.hcb06.setCheckState(2)

        self.ov_rifo.setCheckState(2)

        # TODO: not implemented yet
    
    @pyqtSignature("")
    def on_t_limon_clicked(self):
        """
        Slot documentation goes here.
        """
        self.lcb01.setCheckState(2)
        self.lcb02.setCheckState(2)
        self.lcb03.setCheckState(2)
        self.lcb04.setCheckState(2)
        self.lcb05.setCheckState(2)
        self.lcb06.setCheckState(2)
        self.lcb07.setCheckState(2)
        self.lcb08.setCheckState(2)
        self.lcb09.setCheckState(2)        
        self.lcb10.setCheckState(2)        
        self.rcb04.setCheckState(2)
        self.lcb11.setCheckState(2)        
        
    
    @pyqtSignature("")
    def on_t_puntarenas_clicked(self):
        """
        Slot documentation goes here.
        """
        self.pcb01.setCheckState(2)
        self.pcb02.setCheckState(2)
        self.pcb03.setCheckState(2)
        self.pcb04.setCheckState(2)
        self.pcb05.setCheckState(2)
        self.pcb06.setCheckState(2)
        self.pcb07.setCheckState(2)
        self.pcb08.setCheckState(2)     
        self.pcb09.setCheckState(2)
        self.pcb10.setCheckState(2)
        self.pcb11.setCheckState(2)
        self.pcb12.setCheckState(2)     
        self.pcb13.setCheckState(2)     
        self.pcb14.setCheckState(2)     
        self.pcb15.setCheckState(2)     
        self.pcb16.setCheckState(2)     
        self.rcb02.setCheckState(2)     
        self.pcb17.setCheckState(2)     
        self.pcb18.setCheckState(2)     
        self.pcb19.setCheckState(2)     
        self.pcb20.setCheckState(2)     
        self.ov_ctcr.setCheckState(2)     
        self.pcb21.setCheckState(2)     
        self.pcb22.setCheckState(2)     
        self.pcb23.setCheckState(2)     
        self.pcb24.setCheckState(2)     
        self.pcb25.setCheckState(2)     
    
        # TODO: not implemented yet
    
    @pyqtSignature("")
    def on_t_sanjose_clicked(self):
        """
        Slot documentation goes here.
        """
        self.scb01.setCheckState(2)
        self.scb02.setCheckState(2)
        self.scb03.setCheckState(2)
        self.scb04.setCheckState(2)
        self.scb05.setCheckState(2)
        self.scb06.setCheckState(2)
        self.scb07.setCheckState(2)
        self.scb08.setCheckState(2)     
        self.scb09.setCheckState(2)
        self.scb10.setCheckState(2)
        self.scb11.setCheckState(2)
        self.scb12.setCheckState(2)     
        self.scb13.setCheckState(2)     
        self.scb14.setCheckState(2)          
        self.scb15.setCheckState(2)             
        self.scb16.setCheckState(2)             
        self.scb17.setCheckState(2)      
        self.scb18.setCheckState(2)             
        self.scb19.setCheckState(2)             
        self.scb20.setCheckState(2)             
        self.scb21.setCheckState(2)             
        self.scb22.setCheckState(2)             
        self.scb23.setCheckState(2)             
        self.scb24.setCheckState(2)             

        # TODO: not implemented yet
    
    @pyqtSignature("int")
    def on_rcb01_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_rcb02_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_rcb03_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_rcb04_stateChanged(self, p0):
        self.estacion()

    
    @pyqtSignature("int")
    def on_rcb05_stateChanged(self, p0):
        self.estacion()

        ur=datetime.datetime(ua_gmt,um_gmt,ud_gmt,uh_gmt,un_gmt,us_gmt)
